Skip to main content
POST
/
bots
/
{id}
/
deps
/
reinstall
curl -X POST https://api.phanomcloud.online/bots/3fa85f64-5717-4562-b3fc-2c963f66afa6/deps/reinstall \
  -H "Authorization: Bearer sess_..."
{
  "success": true,
  "data": {
    "removed": ["node_modules", ".pkg_sig"]
  },
  "message": "Dependencies cleared (node_modules, .pkg_sig). Start the bot to reinstall."
}

Documentation Index

Fetch the complete documentation index at: https://docs.phanomcloud.online/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required
UUID of the bot. Must be offline.

What gets removed

LanguageFiles/folders removed
nodejsnode_modules/, .pkg_sig
python__pycache__/, venv/, .req_sig
govendor/
rusttarget/
After clearing, simply start the bot — dependencies will be reinstalled automatically from your package.json, requirements.txt, go.mod, or Cargo.toml.
curl -X POST https://api.phanomcloud.online/bots/3fa85f64-5717-4562-b3fc-2c963f66afa6/deps/reinstall \
  -H "Authorization: Bearer sess_..."
{
  "success": true,
  "data": {
    "removed": ["node_modules", ".pkg_sig"]
  },
  "message": "Dependencies cleared (node_modules, .pkg_sig). Start the bot to reinstall."
}